%define		plugin	syslog
%define		ver	%(echo %{version} |tr _ -)
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Syslog Viewer for Cacti
Summary(pl.UTF-8):	Wtyczka do Cacti - Syslog
Name:		cacti-plugin-%{plugin}
Version:	1.22_2
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://docs.cacti.net/_media/plugin:syslog-v%{ver}.tgz
# Source0-md5:	4a0fba97825db5333754cc2fc4aeb9e6
URL:		http://docs.cacti.net/plugin:syslog
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	cacti
Requires:	cacti(pia) >= 2.8
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Requires:	php-date
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}

# bad depsolver
%define		_noautopear	pear

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
A comprehensive Syslog Alerting tool that support very large
partitioned databases.

Features:
- Message filter
- Message search
- Output to screen or file
- Date time picker
- Event Alerter
- Event Removal (for Events you don't want to see)

%description -l pl.UTF-8
Wtyczka do Cacti - Syslog to zintegrowany interfejs cacti do bazy
danych MySQL, którego można używać do logowania zdarzeń ze skryptów,
cacti czy czegokolwiek.

Jest to składnik konsolowy będący lekkim dodatkiem do monitorowania
dla cacti. Ponieważ schemat bazy danych jest oparty na syslogu, może
być skonfigurowany do używania sysloga-ng lub syslogd z kiwi dla
Windows, przez co zdarzenia mogą być skorelowane.

%prep
%setup -qc
mv %{plugin}/{LICENSE,README} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{plugindir}
%changelog
* Thu Nov 22 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cacti-plugin-syslog.git;a=log;h=master

* Thu Nov 22 2012 Elan Ruusamäe <glen@delfi.ee> 09f9003
- up to 1.22-2

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 3550eec
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> f6f9851
- use virtual php extension deps (to be independant of php version)
- release 6 (by relup.sh)

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> dfe2423
- skip pear deps generation

* Thu Oct 27 2011 Elan Ruusamäe <glen@pld-linux.org> bdf4703
- up to 1.22, updated deps, revised desc

* Sun May 16 2010 sparky <sparky@pld-linux.org> 0351373
- BR: unzip

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 273e237
- simplify macros and cleanups

* Fri Sep 19 2008 Grzegorz Sterniczuk <grzegorz@sterniczuk.eu> 7447a98
- up by Pawel Dlugosz

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> 5c17018
- cleanups

* Mon Dec 17 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 7ef2006
- add config patch

* Fri Dec 14 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 290eb3f
- delete old file

* Thu Dec 13 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> fe8b9a8
- up to 0.5.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 888e19e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a943f8f
- converted to UTF-8

* Sun Jun 04 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> a6aa4b5
- up to 0.4

* Tue Apr 18 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c3d4047
- correct log

* Tue Apr 18 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 7bd7134
- up to 0.3

* Fri Mar 17 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c4c4b51
- correct %files

* Fri Mar 17 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> b31aafe
- up to version 0.2

* Thu Feb 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 548cd51
- pl

